summaryrefslogtreecommitdiff
path: root/Biz/Ide/hooks/reference-transaction.bash
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2023-10-10 13:31:58 -0400
committerBen Sima <ben@bsima.me>2023-10-10 13:31:58 -0400
commit83ea1cdd1fbd9c3ae7908ff1dd12363fee585b45 (patch)
tree6377968ef1b4a41f10ce854eef1b50347405edba /Biz/Ide/hooks/reference-transaction.bash
parent39481b42c19f91ee714987176937c089d2c170cb (diff)
Add git-branchless
After using this for a while, I've decided that git-branchless will be the default tool for doing trunk-based development in the omnirepo.
Diffstat (limited to 'Biz/Ide/hooks/reference-transaction.bash')
-rwxr-xr-xBiz/Ide/hooks/reference-transaction.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/Biz/Ide/hooks/reference-transaction.bash b/Biz/Ide/hooks/reference-transaction.bash
new file mode 100755
index 0000000..ea0cce6
--- /dev/null
+++ b/Biz/Ide/hooks/reference-transaction.bash
@@ -0,0 +1,12 @@
+#!/bin/sh
+## START BRANCHLESS CONFIG
+
+# Avoid canceling the reference transaction in the case that `branchless` fails
+# for whatever reason.
+git branchless hook reference-transaction "$@" || (
+echo 'branchless: Failed to process reference transaction!'
+echo 'branchless: Some events (e.g. branch updates) may have been lost.'
+echo 'branchless: This is a bug. Please report it.'
+)
+
+## END BRANCHLESS CONFIG